Categories:
  - Writing
License: GPL-3.0-only
WebSite: http://www.tnhh.net/2013/04/02/sophia-ime-easter-awesomeness.html
SourceCode: https://github.com/htruong/sophia_oss
IssueTracker: https://github.com/htruong/sophia_oss/issues

AutoName: Sophia keyboard
Description: |-
    Keyboard based on AOSP Latin IME, built entirely with Android SDK/NDK. For
    Vietnamese users, Sophia Vietnamese IME automatically adds tone-marks to your
    Vietnamese input.

RepoType: git
Repo: https://github.com/htruong/sophia_oss.git

Builds:
  - versionName: 1.0.6
    versionCode: 6
    commit: caab7
    subdir: latinime
    prebuild: sed -i '11s/8/11/g' AndroidManifest.xml
    androidupdate:
      - .
      - ../inputmethodcommon
      - ../support-v4
    build:
      - mkdir -p libs
      - cd ../inputmethodcommon
      - ant release
      - cd ..
      - cp inputmethodcommon/bin/classes.jar latinime/libs/inputmethodcommon.jar
      - cd support-v4
      - ant release
      - cd ..
      - cp support-v4/bin/classes.jar latinime/libs/android-support-v4.jar
    buildjni:
      - yes

  - versionName: 1.0.10
    versionCode: 10
    disable: ndk-build fails
    commit: d99f4405f2a0987
    subdir: latinime
    init: echo -e 'android.library.reference.1=../support-v4\nandorid.library.reference.2=../inputmethodcommon\n'
        >> project.properties
    rm:
      - makedict
      - maketext
    buildjni:
      - yes

MaintainerNotes: |-
    It's possible Gingerbread support will appear in next version, so remove the
    manifest patch

AutoUpdateMode: None
UpdateCheckMode: RepoManifest
CurrentVersion: 1.0.10
CurrentVersionCode: 10
